Skip to content

Instantly share code, notes, and snippets.

Embed
What would you like to do?
[apa@apa apa-ci]$ rake db --trace
(in /var/www/apa-ci)
** Invoke db (first_time)
** Execute db
rake aborted!
can't convert Array into String
/home/apa/.bundle/ruby/1.8/gems/rack-1.2.1/lib/rack/utils.rb:138:in `union'
/home/apa/.bundle/ruby/1.8/gems/rack-1.2.1/lib/rack/utils.rb:138
/home/apa/.bundle/ruby/1.8/gems/rack-1.2.1/lib/rack/request.rb:1:in `require'
/home/apa/.bundle/ruby/1.8/gems/rack-1.2.1/lib/rack/request.rb:1
/home/apa/.bundle/ruby/1.8/gems/rack-1.2.1/lib/rack/showexceptions.rb:3:in `require'
/home/apa/.bundle/ruby/1.8/gems/rack-1.2.1/lib/rack/showexceptions.rb:3
/home/apa/.bundle/ruby/1.8/gems/sinatra-1.0/lib/sinatra/showexceptions.rb:1:in `require'
/home/apa/.bundle/ruby/1.8/gems/sinatra-1.0/lib/sinatra/showexceptions.rb:1
/home/apa/.bundle/ruby/1.8/gems/sinatra-1.0/lib/sinatra/base.rb:6:in `require'
/home/apa/.bundle/ruby/1.8/gems/sinatra-1.0/lib/sinatra/base.rb:6
./lib/integrity.rb:2:in `require'
./lib/integrity.rb:2
./init.rb:4:in `require'
./init.rb:4
/usr/lib/ruby/site_ruby/1.8/rubygems/custom_require.rb:31:in `gem_original_require'
/usr/lib/ruby/site_ruby/1.8/rubygems/custom_require.rb:31:in `require'
/var/www/apa-ci/Rakefile:25
/usr/lib64/ruby/gems/1.8/gems/rake-0.8.7/lib/rake.rb:636:in `call'
/usr/lib64/ruby/gems/1.8/gems/rake-0.8.7/lib/rake.rb:636:in `execute'
/usr/lib64/ruby/gems/1.8/gems/rake-0.8.7/lib/rake.rb:631:in `each'
/usr/lib64/ruby/gems/1.8/gems/rake-0.8.7/lib/rake.rb:631:in `execute'
/usr/lib64/ruby/gems/1.8/gems/rake-0.8.7/lib/rake.rb:597:in `invoke_with_call_chain'
/usr/lib/ruby/1.8/monitor.rb:238:in `synchronize'
/usr/lib64/ruby/gems/1.8/gems/rake-0.8.7/lib/rake.rb:590:in `invoke_with_call_chain'
/usr/lib64/ruby/gems/1.8/gems/rake-0.8.7/lib/rake.rb:583:in `invoke'
/usr/lib64/ruby/gems/1.8/gems/rake-0.8.7/lib/rake.rb:2051:in `invoke_task'
/usr/lib64/ruby/gems/1.8/gems/rake-0.8.7/lib/rake.rb:2029:in `top_level'
/usr/lib64/ruby/gems/1.8/gems/rake-0.8.7/lib/rake.rb:2029:in `each'
/usr/lib64/ruby/gems/1.8/gems/rake-0.8.7/lib/rake.rb:2029:in `top_level'
/usr/lib64/ruby/gems/1.8/gems/rake-0.8.7/lib/rake.rb:2068:in `standard_exception_handling'
/usr/lib64/ruby/gems/1.8/gems/rake-0.8.7/lib/rake.rb:2023:in `top_level'
/usr/lib64/ruby/gems/1.8/gems/rake-0.8.7/lib/rake.rb:2001:in `run'
/usr/lib64/ruby/gems/1.8/gems/rake-0.8.7/lib/rake.rb:2068:in `standard_exception_handling'
/usr/lib64/ruby/gems/1.8/gems/rake-0.8.7/lib/rake.rb:1998:in `run'
/usr/lib64/ruby/gems/1.8/gems/rake-0.8.7/bin/rake:31
/usr/bin/rake:19:in `load'
/usr/bin/rake:19
Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment
You can’t perform that action at this time.